View Issue Details

IDProjectCategoryView StatusLast Update
0002697Slicer4Core: Building (CMake, Superbuild)public2018-03-31 01:04
ReporterjcfrAssigned Tojcfr 
PriorityhighSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0002697: Associated publisher to windows NSIS installer - signing of package/application
Description

See http://stackoverflow.com/questions/10581570/setting-the-uac-publisher-field-for-a-nsis-installer

TagsNo tags attached.

Relationships

has duplicate 0002822 closedmhalle Sign windows package 
has duplicate 0002696 closedjcfr Windows 8 support 
related to 0002708 acknowledgedjcfr Gatekeeper - Mac OSX 10.8 - Can't open because it s from an unidentified developer 
related to 0004531 assignedjcfr Automated signing of Stable and Preview build artifacts 

Activities

2012-10-29 04:46

 

pieper

pieper

2013-02-18 09:02

administrator   ~0007981

I had understood that Kitware was planning to sign the packages.

kikinis

kikinis

2014-04-04 04:29

developer   ~0011538

Its not going to happen with Mike
Same for MAC

lassoan

lassoan

2017-06-20 00:12

developer   ~0014905

Adjust target version to match target of duplicate issue 0002696 (so that the duplicate can be closed).

jcfr

jcfr

2018-03-31 01:04

administrator   ~0015628

I am marking this issue as resolved. We already have a manual way to sign windows packages, and signing the package already belong to the Release checklist:

Also issue 0004531 describes the signing infrastructure.

Issue History

Date Modified Username Field Change
2012-10-29 04:46 jcfr New Issue
2012-10-29 04:46 jcfr Status new => assigned
2012-10-29 04:46 jcfr Assigned To => jcfr
2012-10-29 04:46 jcfr File Added: Windows8-Screen Shot 2012-10-29 at 8.14.50 AM.png
2012-10-29 04:47 jcfr Relationship added child of 0002696
2012-10-29 04:48 jcfr Priority normal => high
2012-10-29 04:48 jcfr Target Version => Slicer 4.3.0
2012-10-29 13:39 jcfr Relationship replaced related to 0002696
2012-10-29 13:41 jcfr Relationship replaced child of 0002696
2013-02-15 05:39 jcfr Relationship added related to 0002708
2013-02-18 08:39 jcfr Summary Associated publisher to windows NSIS installer => Associated publisher to windows NSIS installer - signing of package/application
2013-02-18 09:02 pieper Note Added: 0007981
2013-08-19 06:59 jcfr Assigned To jcfr => mhalle
2013-08-27 11:54 jcfr Relationship added has duplicate 0002822
2013-08-30 12:16 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-04-04 04:28 kikinis Assigned To mhalle => jcfr
2014-04-04 04:29 kikinis Note Added: 0011538
2014-05-13 12:51 jcfr Status assigned => acknowledged
2014-07-29 09:46 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2015-09-21 18:44 jcfr Target Version Slicer 4.5.0-1 =>
2017-06-20 00:12 lassoan Target Version => Slicer 4.7.0
2017-06-20 00:12 lassoan Note Added: 0014905
2017-06-20 00:15 lassoan Relationship deleted child of 0002696
2017-06-20 00:16 lassoan Relationship added has duplicate 0002696
2017-10-18 01:08 jcfr Target Version Slicer 4.7.0 => Slicer 4.9.0
2018-03-31 01:01 jcfr Relationship added related to 0004531
2018-03-31 01:04 jcfr Status acknowledged => resolved
2018-03-31 01:04 jcfr Resolution open => fixed
2018-03-31 01:04 jcfr Fixed in Version => Slicer 4.9.0
2018-03-31 01:04 jcfr Note Added: 0015628